The method allows adding new contacts to your Contact Book.
Please note that in the TEST account mode there is a restriction for performing this method: it is possible to create a contact only for a verified phone number (number verification is performed in the personal account of the BSG platform).
To create a contact list, make a request to this URL:
| POST http://one-api.bsg.world/api/contacts |
| Parameter | Required | Type | Description | |
|---|---|---|---|---|
| phone | yes | integer | Contact’s phone number. | |
| groups | Lists IDs array | |||
| id | no | integer | List ID (generated automatically when creating a contact list) | |
| fields | array | the contact details for custom fields | ||
| id | no | integer | Custom field ID | |
| value | no | string | Custom field data |
If request is successful, you will receive a response
{
"phone": 85267202829,
"groups": [
56147
],
"fields": [
{
"id": 25964,
"value": "TARAS SHEVCHENKO"
}
]
}
| Parameter | Type | Description | |
|---|---|---|---|
| id | integer | Contact ID in the BSG personal account, which is generated automatically when a contact is added to the Contact Book. | |
| phone | integer | Contact’s phone number. | |
| fields | array | Contains embedded custom fields data | |
| id | integer | Custom field ID. | |
| value | string | Custom field data. | |
| created_at | datetime | Date when the contact was created in the system ― set by the system automatically when a contact is added to the Contact Book. Display format ― Y-m-d H:i:s | |
| groups | array | Contains embedded data of the list where the contact is added. | |
| id | string | ID of the list (generated automatically when creating a contact list) where the contact is added | |
| name | string | Name of the list where the contact is added | |
| description | string | Description of the list where the contact is added | |
| default | bool | Specifies whether the contact list is a default one | |
| created_at | datetime | Creation date of the list where the contact is added. Display format ― Y-m-d H:i:s | |
| hlr_status | string | Status of the contact phone number verification against the HLR database. Possible values: sent, absent, active, unknown, failed. | |
| hlr_last_check | datetime | The date and time when the contact’s phone number was last checked against the HLR. Display format ― Y-m-d H:i:s |
If request is successful, you will receive a response:
{
"data": {
"id": 1,
"phone": 33601148802,
"fields": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"created_at": "2022-04-28 14:21:16",
"groups": [
{
"id": 1,
"name": "string",
"description": "string",
"default": 0,
"created_at": "2022-04-28 14:21:16"
}
],
"hlr_status": "string",
"hlr_last_check": "2022-04-28 14:21:16"
}
}